#encoding: UTF-8 
=begin
/***************************************************************************
 *   ©2015-2017 Michael Uplawski <michael.uplawski@uplawski.eu>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
=end
require 'constants'
require_relative 'translating'

class Dictionary

	attr_reader :url, :name, :xpath
	attr_accessor :color
	def initialize(name, url, xpath, color = nil)
		@name = name
		@url = url
		@xpath = xpath
		@color = color
	end
end

##### TEST
if __FILE__ == $0
	d1 = Dictionary.new('my_dict1','www.1.html',  '../nix[@nix=nil]')
	d2 = Dictionary.new('my_dict2','www.2.html',  '../nil[@nix=nix]')
	d1.color='#000090'
	d2.color='#200010'

	puts 'dict 1 is ' << d1.inspect << ", color: " << d1.color
	puts 'dict 2 is ' << d2.inspect << ", color: " << d2.color
end
