#encoding: UTF-8 
=begin
/***************************************************************************
 *   ©2015-2017 Michael Uplawski <michael.uplawski@uplawski.eu>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
=end
require 'constants'
require_relative 'translating'

class Definition
	include Comparable

	attr_reader :origin, :expression, :definition
	attr_accessor :color

	def initialize(origin, expression, definition)
		@origin = origin
		@expression = expression
		@definition = definition
		@color = nil
	end

	def <=>(other_def)
		return @expression <=> other_def.expression 
	end
end


